package com.bytedance.android.livesdk.livesetting.performance;

import X.7vl;
import X.C2410Gbj;
import X.Crj;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_setting_opt")
public final class LiveSettingOptSetting {
    @Group(isDefault = true, value = "default group")
    public static final boolean DEFAULT = false;
    public static final LiveSettingOptSetting INSTANCE = new LiveSettingOptSetting();
    public static final Crj mSettingValue$delegate = 7vl.LIZ(C2410Gbj.LIZ);

    private final boolean getMSettingValue() {
        return ((Boolean) mSettingValue$delegate.getValue()).booleanValue();
    }

    public final boolean getValue() {
        return getMSettingValue();
    }

    static {
        Covode.recordClassIndex(18165);
    }
}
